1

Topic: upgrade order

==== REQUIRED BASIC INFO OF YOUR IREDMAIL SERVER ====
- iRedMail version (check /etc/iredmail-release): 1.4.0
- Deployed with iRedMail Easy or the downloadable installer? downloadable installer
- Linux/BSD distribution name and version: debian buster
- Store mail accounts in which backend (LDAP/MySQL/PGSQL): MySQL
- Web server (Apache or Nginx): Nginx
- Manage mail accounts with iRedAdmin-Pro? No
====

Hello,

I want to upgrade to 1.4.1 but i also want to upgrade to debian bullseye.

Should I :
- first upgrade debian and then migrate to 1.4.1 ?
- first migrate to 1.4.1 and then upgrade to bullseye ?
- nevermind, order is not important.

Thanks for your support smile

2

Re: upgrade order

Hello,

So without any answer, I fell like I should first migrate to 1.4.1 because 1.4.1 is compatible with buster and then upgrade to bullseye.

I'll wait one more week, in case I get an answer, and then I'll do it like this.

3

Re: upgrade order

bullseye has no package for sogo, so keep in mind this will not work if you use it.
you should upgrade to 1.4.2 (which has some bugfixes) and then upgrade to bullseye

4

Re: upgrade order

Thanks !

So it's not a problem for me : no sogo on my side.

I didn't see the 1.4.2 : a new release after only 5 days ! You may have experienced some problems to make a new release so fastly.

So I'll migrate from 1.4.0 to 1.4.1, then to 1.4.2, then to bullseye.

Thanks again smile

5

Re: upgrade order

FYI: https://docs.iredmail.org/upgrade.debian.10-11.html

----

Buy me a cup of coffee ($5) to support iRedMail:

buy me a cup of coffee

6 (edited by FMB 2021-09-17 23:36:16)

Re: upgrade order

Thanks!

I ran into the following issues after updating:

  • First, MySQL/MariaDB disappeared during an apt autoremove. Fortunately, reviving it is quite easy, just install the default-mysql-server package.

  • Apparently the systemd unit was changed so that amavis is not run as root at all at boot time. I needed to change permissions on /etc/amavis/conf.d/50-user and /var/lib/dkim/*.pem.